GNU bug report logs - #30210
pandoc not reproducible

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Ricardo Wurmus <ricardo.wurmus@HIDDEN>; dated Mon, 22 Jan 2018 18:20:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 30210 <at> debbugs.gnu.org:


Received: (at 30210) by debbugs.gnu.org; 24 Jan 2018 14:49:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 24 09:49:58 2018
Received: from localhost ([127.0.0.1]:40502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eeMNC-0006kG-9x
	for submit <at> debbugs.gnu.org; Wed, 24 Jan 2018 09:49:58 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:49496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1eeMNA-0006k9-TG
 for 30210 <at> debbugs.gnu.org; Wed, 24 Jan 2018 09:49:57 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 0F0E010765;
 Wed, 24 Jan 2018 15:49:56 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id bW9lfK6UDeY8; Wed, 24 Jan 2018 15:49:55 +0100 (CET)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 5480A10756;
 Wed, 24 Jan 2018 15:49:55 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: bug#30210: pandoc not reproducible
References: <87po61ypjq.fsf@HIDDEN> <877es8z0xi.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 =?utf-8?Q?Pluvi=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 24 Jan 2018 15:49:54 +0100
In-Reply-To: <877es8z0xi.fsf@HIDDEN> (Ricardo Wurmus's message of "Tue, 
 23 Jan 2018 23:04:57 +0100")
Message-ID: <87vafrxqel.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 30210
Cc: 30210 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Ricardo Wurmus <ricardo.wurmus@HIDDEN> skribis:

>> The only file that differs is this:
>>
>>   /gnu/store/8ynsssfjjdjbawndmjlnjlqrh027rl9g-ghc-pandoc-1.17.2-check/li=
b/ghc-7.10.2/ghc-pandoc-1.17.2.conf.d/package.cache
>>   /gnu/store/8ynsssfjjdjbawndmjlnjlqrh027rl9g-ghc-pandoc-1.17.2/lib/ghc-=
7.10.2/ghc-pandoc-1.17.2.conf.d/package.cache
>
> At least they seem to contain the same strings albeit in a different
> order.  =E2=80=9Cdiff <(strings a|sort) <(strings b|sort)=E2=80=9D shows =
no
> differences.  (Of course there could be other differences than order,
> which simply don=E2=80=99t appear to be strings.)

That sounds like code using readdir(2) and not sorting the returned
entries, as was the case for gtk-update-icon-cache or whatever it=E2=80=99s
called.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#30210; Package guix. Full text available.

Message received at 30210 <at> debbugs.gnu.org:


Received: (at 30210) by debbugs.gnu.org; 23 Jan 2018 22:05:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 23 17:05:18 2018
Received: from localhost ([127.0.0.1]:40095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ee6gw-0001wq-IX
	for submit <at> debbugs.gnu.org; Tue, 23 Jan 2018 17:05:18 -0500
Received: from sinope02.bbbm.mdc-berlin.de ([141.80.25.24]:39168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1ee6gv-0001wb-3F
 for 30210 <at> debbugs.gnu.org; Tue, 23 Jan 2018 17:05:17 -0500
Received: from localhost (localhost [127.0.0.1])
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTP id 05004F557CF
 for <30210 <at> debbugs.gnu.org>; Tue, 23 Jan 2018 23:05:16 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-transfer-encoding:content-type:content-type:mime-version
 :message-id:date:date:in-reply-to:subject:subject:from:from
 :user-agent:references:received:received:received:received; s=
 mdc; t=1516745110; x=1518559511; bh=ixnQDOC4/oNB/pbbuHcy0NwAtWmh
 DWw/aGCV8+9grvg=; b=cSCwLBXfZd08CknfZJqrw/+kIw3gtPHGTf/XQhlToovq
 lCcuhcvIuM+qJVQIHsH84yEh1+Fh1nzn1PjehcEEkQPLrVTm2WE3xky/kN05nvp6
 Ei26DA1UN3B4/67qO+58lLpsCI+PFwPdqc5gl9DW6q3QF1P7U04csAqfnp7jOJ4=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from sinope02.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (sinope02.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id AGFXZ8sKtDKy for <30210 <at> debbugs.gnu.org>;
 Tue, 23 Jan 2018 23:05:10 +0100 (CET)
Received: from HTCATWO.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <30210 <at> debbugs.gnu.org>; Tue, 23 Jan 2018 23:05:10 +0100 (CET)
Received: from SW-IT-P-CAS1.mdc-berlin.net (141.80.113.53) by
 HTCATWO.mdc-berlin.net (141.80.180.190) with Microsoft SMTP Server (TLS) id
 14.3.361.1; Tue, 23 Jan 2018 23:05:10 +0100
Received: from localhost (141.80.113.52) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server id 14.3.361.1; Tue, 23 Jan 2018
 23:05:09 +0100
References: <87po61ypjq.fsf@HIDDEN>
User-agent: mu4e 1.0-alpha3; emacs 25.3.1
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <30210 <at> debbugs.gnu.org>
Subject: Re: pandoc not reproducible
In-Reply-To: <87po61ypjq.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 23 Jan 2018 23:04:57 +0100
Message-ID: <877es8z0xi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
X-Originating-IP: [141.80.113.52]
X-TM-AS-Product-Ver: SMEX-11.0.0.4283-8.200.1013-23616.003
X-TM-AS-Result: No-1.731000-0.000000-31
X-TM-AS-MatchedID: 150567-139010-703786-105250-847298-707800-704311-705584-7
 09584-703096-704425-703788-702801-700323-847575-705098-700752-139703-148004
 -148133-42000-42003-63
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 30210
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


> The only file that differs is this:
>
>   /gnu/store/8ynsssfjjdjbawndmjlnjlqrh027rl9g-ghc-pandoc-1.17.2-check/lib/ghc-7.10.2/ghc-pandoc-1.17.2.conf.d/package.cache
>   /gnu/store/8ynsssfjjdjbawndmjlnjlqrh027rl9g-ghc-pandoc-1.17.2/lib/ghc-7.10.2/ghc-pandoc-1.17.2.conf.d/package.cache

At least they seem to contain the same strings albeit in a different
order.  “diff <(strings a|sort) <(strings b|sort)” shows no
differences.  (Of course there could be other differences than order,
which simply don’t appear to be strings.)

> I wonder if we should expect that other Haskell packages are also
> affected by this.

Other packages also have a “package.cache”, but I don’t think they are
used.  The build system creates a new temporary “package.cache” file for
all Haskell packages, and we have a profile hook that creates such a
file for when Haskell packages are installed to profiles.

Could we maybe just delete “package.cache” after the installation phase?

(Even if we can make our packages appear to be deterministic, will they
really be?  This GHC bug sounds bad for us:
https://ghc.haskell.org/trac/ghc/ticket/4012)

--
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#30210; Package guix. Full text available.

Message received at 30210 <at> debbugs.gnu.org:


Received: (at 30210) by debbugs.gnu.org; 23 Jan 2018 08:05:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 23 03:05:07 2018
Received: from localhost ([127.0.0.1]:38958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1edtZq-0003XT-S0
	for submit <at> debbugs.gnu.org; Tue, 23 Jan 2018 03:05:07 -0500
Received: from venus.bbbm.mdc-berlin.de ([141.80.25.30]:44188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1edtZp-0003XL-C6
 for 30210 <at> debbugs.gnu.org; Tue, 23 Jan 2018 03:05:05 -0500
Received: from localhost (localhost [127.0.0.1])
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTP id 56B1C380FB0
 for <30210 <at> debbugs.gnu.org>; Tue, 23 Jan 2018 09:05:04 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:mime-version:message-id:date:date
 :subject:subject:from:from:user-agent:received:received:received
 :received; s=mdc; t=1516694704; x=1518509105; bh=CkiWpJ41UE8uxJq
 Ul43gEuqyyYSOG+vKKd8zd2u67l0=; b=VcslPhLHUb6IxY483gXmJpzad2wgZkd
 iSqVgIwzp0wBckgIk2Ie5O4vv01pJHAUfF3uuiaK5x1kk9su9XEB0OvxfkCBIjxx
 j/TLXShte4ie8nMzWTJJqYSW8V7Iq3Mlz8p2MjUXQStFn6MH2sGYA7GVTYumhDZ2
 ge/lWsi36vSU=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from venus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (venus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id F_zzW0g5Y1VD for <30210 <at> debbugs.gnu.org>;
 Tue, 23 Jan 2018 09:05:04 +0100 (CET)
Received: from HTCATWO.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <30210 <at> debbugs.gnu.org>; Tue, 23 Jan 2018 09:05:03 +0100 (CET)
Received: from SW-IT-P-CAS2.mdc-berlin.net (141.80.113.54) by
 HTCATWO.mdc-berlin.net (141.80.180.190) with Microsoft SMTP Server (TLS) id
 14.3.361.1; Tue, 23 Jan 2018 09:05:03 +0100
Received: from localhost (141.80.113.52) by SW-IT-P-CAS2.mdc-berlin.net
 (141.80.113.54) with Microsoft SMTP Server id 14.3.361.1; Tue, 23 Jan 2018
 08:58:44 +0100
User-agent: mu4e 1.0-alpha3; emacs 25.3.1
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <30210 <at> debbugs.gnu.org>
Subject: pandoc not reproducible
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 23 Jan 2018 08:58:33 +0100
Message-ID: <87po61ypjq.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [141.80.113.52]
X-TM-AS-Product-Ver: SMEX-11.0.0.4283-8.200.1013-23614.006
X-TM-AS-Result: No-1.018200-0.000000-31
X-TM-AS-MatchedID: 703786-105250-847298-703096-148004-148036-41000-42000-42003-63
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 30210
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

The only file that differs is this:

  /gnu/store/8ynsssfjjdjbawndmjlnjlqrh027rl9g-ghc-pandoc-1.17.2-check/lib/ghc-7.10.2/ghc-pandoc-1.17.2.conf.d/package.cache
  /gnu/store/8ynsssfjjdjbawndmjlnjlqrh027rl9g-ghc-pandoc-1.17.2/lib/ghc-7.10.2/ghc-pandoc-1.17.2.conf.d/package.cache

I wonder if we should expect that other Haskell packages are also
affected by this.

--
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#30210; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jan 2018 18:19:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 22 13:19:55 2018
Received: from localhost ([127.0.0.1]:38394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1edghH-0003GN-FA
	for submit <at> debbugs.gnu.org; Mon, 22 Jan 2018 13:19:55 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1edghF-0003GA-EV
 for submit <at> debbugs.gnu.org; Mon, 22 Jan 2018 13:19:54 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1edgh9-0004PE-K0
 for submit <at> debbugs.gnu.org; Mon, 22 Jan 2018 13:19:48 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:40870)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Ricardo.Wurmus@HIDDEN>)
 id 1edgh9-0004P4-GW
 for submit <at> debbugs.gnu.org; Mon, 22 Jan 2018 13:19:47 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:40444)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1edgh8-0004Fn-KQ
 for bug-guix@HIDDEN; Mon, 22 Jan 2018 13:19:47 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1edgh3-0004M6-Hx
 for bug-guix@HIDDEN; Mon, 22 Jan 2018 13:19:46 -0500
Received: from sinope02.bbbm.mdc-berlin.de ([141.80.25.24]:46950)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <Ricardo.Wurmus@HIDDEN>)
 id 1edgh3-0004Kl-7u
 for bug-guix@HIDDEN; Mon, 22 Jan 2018 13:19:41 -0500
Received: from localhost (localhost [127.0.0.1])
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTP id 619C4F50AD3
 for <bug-guix@HIDDEN>; Mon, 22 Jan 2018 19:19:38 +0100 (CET)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:mime-version:date:date:message-id
 :subject:subject:from:from:user-agent:received:received:received
 :received; s=mdc; t=1516645173; x=1518459574; bh=GkakdtT7SEpqQ1q
 nnume7VUNtbHx/8H0u5s6qhrHPNE=; b=DNVUrkcS4RyzKRjinEn9pDULzz9vm4G
 E3D60V/PjAXpOUxEXV1pRbPURkEeB5Cc33wjNTbmHtGRFl7vYGORY2Gq+YO9rVhZ
 YXIUpeYCYA7XWF/jGuKLst97pnmb/KW3RTsDn1+HUPRulI8GMjl4xe/vsJfPPlMy
 /1EroJUCNOrQ=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from sinope02.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (sinope02.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new,
 port 10024) with ESMTP id e1Al1rkokDnm for <bug-guix@HIDDEN>;
 Mon, 22 Jan 2018 19:19:33 +0100 (CET)
Received: from HTCATWO.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by sinope02.bbbm.mdc-berlin.de (Postfix) with ESMTPS
 for <bug-guix@HIDDEN>; Mon, 22 Jan 2018 19:19:33 +0100 (CET)
Received: from SW-IT-P-CAS1.mdc-berlin.net (141.80.113.53) by
 HTCATWO.mdc-berlin.net (141.80.180.190) with Microsoft SMTP Server (TLS) id
 14.3.361.1; Mon, 22 Jan 2018 19:19:32 +0100
Received: from localhost (141.80.113.52) by SW-IT-P-CAS1.mdc-berlin.net
 (141.80.113.53) with Microsoft SMTP Server id 14.3.361.1; Mon, 22 Jan 2018
 19:09:31 +0100
User-agent: mu4e 1.0-alpha3; emacs 25.3.1
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: <bug-guix@HIDDEN>
Subject: pandoc not reproducible
Message-ID: <87372x22c6.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 22 Jan 2018 19:09:21 +0100
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [141.80.113.52]
X-TM-AS-Product-Ver: SMEX-11.0.0.4283-8.200.1013-23614.001
X-TM-AS-Result: No-0.057800-0.000000-31
X-TM-AS-MatchedID: 8997-148004-148036-10005-10016-10114-31544-41002-42000-42003-63
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

The ghc-pandoc package for version 1.17.2 cannot be built reproducibly.




Acknowledgement sent to Ricardo Wurmus <ricardo.wurmus@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#30210; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 24 Jan 2018 15:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.